// Copyright 2016 Dietrich Epp.
// This file is part of the Moria Gamedev Repository.  This file is licensed
// under the terms of the MIT license.  For more information, see LICENSE.txt.
'use strict';
var music = require('./music');
var text = require('./text');

function Splash() {
	this.input = null;
}

Splash.prototype = Object.create(Phaser.State);

Splash.prototype.create = function() {
	Game.input.onDown.addOnce(this.handleClick, this);
	Game.add.image(0, 0, 'splash');
	var font = text.font();
	font.text = '[Press to Start]';
	var img = Game.add.image(400, 400, font);
	img.anchor.set(0.5, 0.5);
	img.alpha = 0.0;
	var tween = Game.add.tween(img);
	tween.to({alpha: 1}, 2000, undefined, true, 1000);
};

Splash.prototype.handleClick = function() {
	// This little song and dance inside an event handler is necessary
	// in order to get Safari to play sound at all.
	Game.sound.boot();
	Game.sound.play('sfx/click1');
	Game.state.start('Level');
};

module.exports = {
	Splash: Splash,
};
